#!/bin/sh

rm -rf cmake-*

set -x

echo "Configuring release ninja build..."
mkdir -p cmake-ninja && cd cmake-ninja
cmake .. -GNinja -DCMAKE_MAKE_PROGRAM=ninja -DCMAKE_BUILD_TYPE=Release $* || exit 1
ninja -j1
echo "" > ../sys/main_sys.hpp
ninja -j1
cd ..

echo "Configuring release make build..."
mkdir -p cmake-make && cd cmake-make
cmake .. -DCMAKE_BUILD_TYPE=Release $* || exit 1
make -j1
echo "" > ../sys/main_sys.hpp
make -j1
cd ..
